clang 8.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
clang::analyze_os_log::OSLogBufferLayout Class Reference

`#include "clang/AST/OSLog.h"`

Collaboration diagram for clang::analyze_os_log::OSLogBufferLayout:
[legend]

## Public Types
enum | Flags { HasPrivateItems = 1, HasNonScalarItems = 1 << 1 }

## Public Member Functions
CharUnits | size () const
bool | hasPrivateItems () const
bool | hasNonScalarOrMask () const
unsigned char | getSummaryByte () const
unsigned char | getNumArgsByte () const

## Public Attributes
SmallVector< OSLogBufferItem, 4 > | Items

## Detailed Description

Definition at line 112 of file OSLog.h.

## Member Enumeration Documentation

## ◆ Flags

enum clang::analyze_os_log::OSLogBufferLayout::Flags

Enumerator
HasPrivateItems |
HasNonScalarItems |

Definition at line 116 of file OSLog.h.

## Member Function Documentation

## ◆ getNumArgsByte()

unsigned char clang::analyze_os_log::OSLogBufferLayout::getNumArgsByte | ( |  | ) | const
| inline

Definition at line 149 of file OSLog.h.

References clang::analyze_os_log::computeOSLogBufferLayout().

## ◆ getSummaryByte()

unsigned char clang::analyze_os_log::OSLogBufferLayout::getSummaryByte | ( |  | ) | const
| inline

Definition at line 140 of file OSLog.h.

## ◆ hasNonScalarOrMask()

bool clang::analyze_os_log::OSLogBufferLayout::hasNonScalarOrMask | ( |  | ) | const
| inline

Definition at line 133 of file OSLog.h.

References clang::analyze_os_log::OSLogBufferItem::getKind(), clang::analyze_os_log::OSLogBufferItem::getMaskType(), and clang::analyze_os_log::OSLogBufferItem::ScalarKind.

## ◆ hasPrivateItems()

bool clang::analyze_os_log::OSLogBufferLayout::hasPrivateItems | ( |  | ) | const
| inline

Definition at line 128 of file OSLog.h.

References clang::analyze_os_log::OSLogBufferItem::getIsPrivate().

## ◆ size()

CharUnits clang::analyze_os_log::OSLogBufferLayout::size | ( |  | ) | const
| inline

Definition at line 118 of file OSLog.h.

References clang::CharUnits::fromQuantity().

Referenced by tryEvaluateBuiltinObjectSize().

## Member Data Documentation

## ◆ Items

SmallVector<OSLogBufferItem, 4> clang::analyze_os_log::OSLogBufferLayout::Items

Definition at line 114 of file OSLog.h.

Referenced by clang::CodeGen::CodeGenFunction::emitBuiltinOSLogFormat().

The documentation for this class was generated from the following file:

- include/clang/AST/OSLog.h